GuidesAPI Reference
Guides
API Reference

Overview

Caliza provides a robust API to facilitate cross-border payments, allowing you to send funds to beneficiaries worldwide. This guide assumes you have access to the Caliza Sandbox environment. In this guide, we'll integrate and use the information from the other pages in the quickstart section to complete a full payment flow.

What you can build

The Caliza API enables diverse financial use cases:

  • Global Payouts: Send funds from your balance to bank accounts in over 100 countries via SWIFT, or locally via Pix and SPEI.
  • USD Virtual Accounts: Provision U.S.-domiciled accounts for your beneficiaries to receive WIRE or ACH transfers, with automatic conversion to USDC.
  • Crypto on/off-ramp: Programmatically convert fiat currency into crypto and vice-versa.
  • Treasury Management: Use Account Sweeps to consolidate balances from multiple beneficiaries into a single wallet or account.

Core Concepts

We suggest reviewing our fundamental API patterns prior to integrating with a specific service. Grasping these key concepts will facilitate a smooth and successful implementation.

Available Endpoints

Our APIs are structured by product area. Please choose a service below to view its detailed endpoints, request/response schemas, and usage instructions examples.

Environments and base URLs

The API is RESTful, and you must make all requests via HTTPS. The platform prioritizes a "Sandbox-First" approach, where you can test all business logic using mock endpoints before moving real funds.

EnvironmentBase addressDescription
Sandboxhttps://api.sandbox.caliza.com/core-apiTest environment. Use mock endpoints to simulate bank deposits and webhooks.
Productionhttps://api.caliza.com/core-apiReal environment. Requires Compliance approval and production keys.
❗️

Production credentials are only provided after validation of the integration in the Sandbox environment.